spring.application.name=genesis

server.port=${SERVER_PORT:8081}

api.security.token.secret=${JWT_SECRET}
spring.datasource.url=${DB_URL}
spring.datasource.username=${DB_USERNAME}
spring.datasource.password=${DB_PASSWORD}
spring.datasource.driver-class-name=org.postgresql.Driver

spring.jpa.database-platform=org.hibernate.dialect.PostgreSQLDialect
spring.jpa.hibernate.ddl-auto=none

spring.flyway.enabled=false

# Aqui configuramos o Spring pra rodar suas migrations SQL manualmente
spring.sql.init.mode=never
spring.sql.init.schema-locations=classpath:db/migration/postgresql/V1__init.sql
spring.sql.init.data-locations=classpath:db/migration/postgresql/V2__seed_company_role.sql
